Subject: Re: How to resolve a link?
From: "David A. Cobb" <[email-masked]>
To: [email-masked]
Date: Tue, 22 Jul 2003 22:38:37 -0400

Christopher Faylor wrote:

>On Tue, Jul 22, 2003 at 09:23:13PM -0400, David A. Cobb wrote:
>  
>
>>Recently, I was trying to do "strace Xemacs . . ."
>>First I got a "No such file" error, so I changed to do "strace `which 
>>xemacs` " -- still a failure.
>>
>>which xemacs returns "/usr/local/bin/xemacs.exe.lnk"; that is, my normal 
>>handle to launch xemacs is a symlink to the executable whose name or 
>>location varies with the version-number.
>>
>>Given that its purpose is to locate what executable file one will use in 
>>a particular environment, should not 'which' resolve the symlink and 
>>return its target?
>>    
>>
>
>No.
>
>  
>
>>What would happen on *nix?
>>    
>>
>
>The same thing as on cygwin.
>

OK, but would strace be equally unable to start the subprocess from a 
link? 
IIRC, one major irritation in Windoz is that one cannot do certain 
operations via a link ("shortcut") whereas in *nix the link is a 
nearly-complete surrogate for its target. 

Of course, if there is a less-obvious but successful solution to the 
problem I'd be happy to hear about it.

>--
>Please use the resources at cygwin.com rather than sending personal email.
>Special for spam email harvesters: send email to [email-masked]
>and be permanently blocked from mailing lists at sources.redhat.com
>
>--
>Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
>Problem reports:       http://cygwin.com/problems.html
>Documentation:         http://cygwin.com/docs.html
>FAQ:                   http://cygwin.com/faq/
>
>
>  
>

-- 
David A. Cobb, Software Engineer, Public Access Advocate
"By God's Grace I am a Christian man, by my actions a great sinner." -- The Way of a Pilgrim; R. M. French, tr.
Life is too short to tolerate crappy software.
.

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/